Summary:	Enlightenment Configuration applet
Name:		enlightenment-conf
Version:	0.15
Release:	22mdk
License:	GPL
Group:		Graphical desktop/Enlightenment

Source:		ftp://www.rasterman.com/pub/enlightenment/enlightenment-conf-%version.tar.bz2
Patch:		enlightenment-conf-0.15-keybind.patch.bz2
Patch1:		enlightenment-conf-0.15-spelling.patch.bz2
Patch2:		enlightenment-conf-0.15-locale.patch.bz2
Patch3:		enlightenment-conf-0.15-alpha-notrans.patch.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root

URL:		http://www.rasterman.com/
PreReq:		enlightenment <= 0.16.6

BuildRequires:	autoconf2.5
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext
BuildRequires:	control-center-devel
BuildRequires:	texinfo
BuildRequires:	xpm-devel

%description
A Configuration tool for easily setting up Enlightenment

%prep
%setup -q
%patch -p1 -b .noscrollbar
%patch1 -p1 -b .spelling

#RH
%patch2 -p1 -b .locale
%patch3 -p1 -b .alpha-notrans

%build
%configure

%make

%install
rm -fr %buildroot

%makeinstall

%find_lang %{name}

%clean
rm -fr %buildroot


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%_bindir/*
#
%dir %_datadir/control-center/
%dir %_datadir/control-center/Workspace/
%_datadir/control-center/Workspace/Enlightenment.desktop


%changelog
* Tue Mar 02 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.15-22mdk
- Fix DEP

* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.15-21mdk
- rebuild

* Sat Aug 10 2002 Stefan van der Eijk <stefan@eijk.nu> 0.15-20mdk
- remove BuildRequires provided by rpm-build

* Fri Jul 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.15-19mdk
- Automated rebuild with gcc3.2

* Sun Jan 13 2002 Stefan van der Eijk <stefan@eijk.nu> 0.15-18mdk
- BuildRequires

* Mon Jan 07 2002 David BAUDENS <baudens@mandrakesoft.com> 0.15-17mdk
- Rebuild

* Tue Oct 02 2001 David BAUDENS <baudens@mandrakesoft.com> 0.15-16mdk
- PreReq: enlightenment - Thanks to Florent PITOUN
- Clean spec
- Add missing file

* Thu Sep 06 2001 Stefan van der Eijk <stefan@eijk.nu> 0.15-15mdk
- BuildRequires:        flex
- Copyright --> License

* Fri Nov 10 2000 David BAUDENS <baudens@mandrakesoft.com> 0.15-14mdk
- Build with glibc-2.2 & gcc-2.96

* Wed Oct 04 2000 David BAUDENS <baudens@mandrakesoft.com> 0.15-13mdk
- Use %%find_lang

* Wed Oct 04 2000 David BAUDENS <baudens@mandrakesoft.com> 0.15-12mdk
- BM & macros

* Wed Apr 19 2000 Warly <warly@mandrakesoft.com> 0.15-11mdk
- new group: Graphical desktop/Enlightenment

* Mon Jan 17 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.15-10mdk
- added a BuildRequires on control-center-devel.

* Wed Jan 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.15-9mdk
- Regenerate ldconfig.

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP build macro
- Optimize c++ code also (somebody sux)
- Add Two patches from Redhat:
        * Wed Sep 01 1999 Elliot Lee <sopwith@redhat.com>
        - Disable translucent moves option on the Alpha, since it requires shared
          pixmaps (see comment in patch).
        * Mon Jul 26 1999 Michael Fulbright <drmike@redhat.com>
        - added locale fix from Karsten Weiss <karsten@addx.au.s.shuttle.de>

* Tue Jun 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- fixed typos in desktop configuration

* Sat Apr 24 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adatations.
- Stripping again ;-).

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Tue Feb 23 1999 The Rasterman <raster@redhat.com>
- Updated to 0.14

* Wed Feb 3 1999 The Rasterman <raster@redhat.com>
- Created for new E-conf standalone module
